#!/usr/local/bin/ruby
require 'webrick'

require "orbjson"
include WEBrick


Socket.do_not_reverse_lookup = true

$logger = Logger.new( "orbjson.log" )
$logger.level = Logger::WARN

s = HTTPServer.new( :Port => 2222,
                    :DocumentRoot  =>  File.dirname( __FILE__ )  )

s.mount("/json-rpc", Orbjson::WEBrick_JSON_RPC )


s.mount_proc( "/exit" ){|req, res| s.shutdown;  exit;  } 
s.mount_proc( "/quit" ){|req, res| s.shutdown;  exit; }   

Orbjson::System.init( "file://config.yml" )


trap( "INT" ){ s.shutdown }
trap( 1 ){ s.shutdown }
s.start

